-- DROP TABLE IF EXISTS `eps_domain`;
CREATE TABLE `eps_domain` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `domain` varchar(100) NOT NULL,
  `addedBy` varchar(30) NOT NULL,
  `addedDate` datetime NOT NULL,
  `expDate` datetime NOT NULL,
  `status` varchar(10) NOT NULL DEFAULT 'wait',
  `lang` char(10) NOT NULL,
  `deleted` enum('0','1') NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `eps_node`;
CREATE TABLE `eps_node` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `url` varchar(255) NOT NULL,
  `provider` varchar(100) NOT NULL,
  `serverRoom` varchar(150) NOT NULL,
  `cpu` varchar(150) NOT NULL,
  `disk` varchar(100) NOT NULL,
  `memory` varchar(30) NOT NULL,
  `bandwidth` varchar(150) NOT NULL,
  `serverTerm` date NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `lang` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `eps_site`;
CREATE TABLE `eps_site` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `account` char(30) NOT NULL default '',
  `code` char(30) NOT NULL default '',
  `domain` varchar(150) NOT NULL DEFAULT '',
  `host` varchar(50) NOT NULL,
  `name` varchar(150) NOT NULL DEFAULT '',
  `company` varchar(100) NOT NULL DEFAULT '',
  `type` enum('basic','pro') NOT NULL DEFAULT 'basic',
  `admin` varchar(255) NOT NULL,
  `password` varchar(100) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `industry` tinyint(3) NOT NULL DEFAULT '0',
  `subIndustry` tinyint(3) NOT NULL DEFAULT '0',
  `desc` text NOT NULL,
  `private` char(32) NOT NULL,
  `token` char(32) NOT NULL,
  `status` enum('try','normal','wait','locked','deleted') NOT NULL DEFAULT 'try',
  `addedDate` datetime NOT NULL,
  `editedDate` datetime NOT NULL,
  `resolveFailedDate` date NOT NULL,
  `resolved` enum('0','1') NOT NULL DEFAULT '0',
  `empowered` enum('0', '1') NOT NULL DEFAULT '0',
  `usage` float(12,2) NOT NULL DEFAULT '0',
  `traffic` float(12,2) NOT NULL DEFAULT '0',
  `syncDate` datetime NOT NULL,
  `endDate` date NOT NULL,
  `plan` char(30) not null,
  `overUsage` enum('0', '1') not null default '0',
  `overTraffic` enum('0', '1') not null default '0',
  `lang` char(30) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `domain` (`domain`),
  KEY `account` (`account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `eps_domain_record`;
CREATE TABLE `eps_domain_record` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL,
  `dom_org` varchar(30) NOT NULL,
  `dom_fn` varchar(30) NOT NULL,
  `dom_ln` varchar(30) NOT NULL,
  `dom_adr1` varchar(255) NOT NULL,
  `dom_ct` varchar(30) NOT NULL,
  `dom_st` varchar(30) NOT NULL,
  `dom_co` varchar(30) NOT NULL,
  `dom_pc` varchar(30) NOT NULL,
  `dom_ph` varchar(30) NOT NULL,
  `dom_fax` varchar(30) NOT NULL,
  `dom_em` varchar(50) NOT NULL,
  `dom_org_m` varchar(30) NOT NULL,
  `dom_fn_m` varchar(30) NOT NULL,
  `dom_ln_m` varchar(30) NOT NULL,
  `dom_adr_m` varchar(255) NOT NULL,
  `dom_st_m` varchar(30) NOT NULL,
  `dom_ct_m` varchar(30) NOT NULL,
  `domainpwd` varchar(30) NOT NULL,
  `addedBy` varchar(30) NOT NULL,
  `addedDate` datetime NOT NULL,
  `lang` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `eps_siteorder`;
CREATE TABLE IF NOT EXISTS `eps_siteorder` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `account` char(30) NOT NULL,
  `siteID` mediumint(8) NOT NULL,
  `plan` varchar(15) NOT NULL,
  `price` float NOT NULL,
  `years` tinyint(3) NOT NULL,
  `days` smallint(6) NOT NULL,
  `createdDate` datetime NOT NULL,
  `paidDate` datetime NOT NULL,
  `type` char(15) NOT NULL,
  `status` varchar(30) CHARACTER SET latin1 NOT NULL,
  `lang` char(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `eps_stat`;
CREATE TABLE `eps_stat` (
  `id` mediumint unsigned NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `node` varchar(10) NOT NULL,
  `pv` mediumint NOT NULL,
  `ip` mediumint NOT NULL,
  `traffic` int NOT NULL,
  `db` int NOT NULL,
  `file` int NOT NULL,
  `newSites` mediumint NOT NULL,
  `totalSites` mediumint NOT NULL,
  `newUsers` mediumint NOT NULL,
  `date` char(10) NOT NULL,
  UNIQUE KEY `date` (`date`)
) ENGINE='MyISAM' COLLATE 'utf8_general_ci';

-- DROP TABLE IF EXISTS `eps_usage`;
CREATE TABLE `eps_usage` (
  `id` int(8) unsigned NOT NULL AUTO_INCREMENT,
  `site` varchar(50) NOT NULL,
  `lastLog` varchar(50) NOT NULL,
  `company` varchar(100) NOT NULL,
  `siteName` varchar(100) NOT NULL,
  `articles` smallint(5) NOT NULL,
  `products` smallint(5) NOT NULL,
  `categories` smallint(5) NOT NULL,
  `files` smallint(5) NOT NULL,
  `addedDate` date NOT NULL,
  `nav` smallint(5) NOT NULL,
  `slides` smallint(5) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER table `eps_user` ADD status enum('try', 'normal', 'wait', 'locked', 'rejected') NOT NULL DEFAULT 'try';
ALTER table `eps_order_product` ADD `extra` text NOT NULL AFTER `count`;

INSERT INTO `eps_block` (`id`, `type`, `title`, `content`, `template`, `lang`) VALUES
(16,'phpcode','史上最强建站系统','{\"customImage\":null,\"topLeftContent\":\"\",\"topRightContent\":\"\",\"custom\":{\"default\":{\"css\":\"#blockID\\n{\\n  \\/*.panel-heading {}*\\/\\n  \\/*.panel-body    {}*\\/\\n}\",\"js\":\"\"}},\"content\":\"<div id=\\\"productInfo01\\\"><div class=\\\"mainFigure col-sm-6\\\"><img src=\\\"<?php echo $this->config->webRoot?>theme\\/default\\/default\\/images\\/main\\/product01.png\\\" \\/> <\\/div>\\n<div class=\\\"text-content col-sm-6\\\"><h2>\\u53f2\\u4e0a\\u6700\\u5f3a\\u5efa\\u7ad9\\u7cfb\\u7edf<\\/h2>\\n<p>\\u5185\\u7f6e\\u6587\\u7ae0\\u3001\\u5546\\u57ce\\u3001\\u8bba\\u575b\\u3001\\u535a\\u5ba2\\u3001\\u5fae\\u4fe1\\u3001\\u624b\\u518c\\u3001\\u4f1a\\u5458\\u3001\\u53cd\\u9988\\u529f\\u80fd\\u3002 <br \\/>\\n\\u5185\\u7f6e\\u4e30\\u5bcc\\u4e3b\\u9898\\u98ce\\u683c\\uff0c\\u5728\\u7ebf\\u4e00\\u952e\\u5207\\u6362\\uff0c\\u7b80\\u5355\\u65b9\\u4fbf\\u3002<\\/p>\\n<\\/div>\\n<\\/div>\"}','default','zh-cn'),
(17,'phpcode','服务到位','{\"customImage\":null,\"topLeftContent\":\"\",\"topRightContent\":\"\",\"custom\":{\"default\":{\"css\":\"#blockID\\n{\\n  \\/*.panel-heading {}*\\/\\n  \\/*.panel-body    {}*\\/\\n}\",\"js\":\"\"}},\"content\":\"<div id=\\\"productInfo02\\\">\\n    <div class=\\\"text-content col-sm-6\\\">\\n        <h2>\\u670d\\u52a1\\u5230\\u4f4d\\uff0c\\u514d\\u8d39\\u5347\\u7ea7\\u3001\\u7ef4\\u62a4<\\/h2>\\n        <p>\\u4e13\\u4e1a\\u7684\\u552e\\u540e\\u670d\\u52a1\\u56e2\\u961f\\u4e3a\\u60a8\\u63d0\\u4f9b\\u5168\\u65b9\\u4f4d\\u7684\\u552e\\u540e\\u4fdd\\u969c\\uff0c<br \\/>\\n        \\u514d\\u5907\\u6848\\u3001\\u514d\\u7ef4\\u62a4\\uff0c\\u7edf\\u4e00\\u5347\\u7ea7\\u7ef4\\u62a4<br \\/>\\n        \\u4e3a\\u7528\\u6237\\u63d0\\u4f9b\\u9ad8\\u6548\\u3001\\u4fbf\\u6377\\u7684\\u4e00\\u7ad9\\u5f0fSAAS\\u6a21\\u5f0f\\u4e91\\u670d\\u52a1<\\/p>\\n    <\\/div>\\n    <div class=\\\"mainFigure col-sm-6\\\"><img src=\\\"<?php echo $this->config->webRoot?>theme\\/default\\/default\\/images\\/main\\/product02.png\\\" \\/> <\\/div>\\n<\\/div>\"}','default','zh-cn'),
(18,'phpcode','价格优惠','{\"customImage\":null,\"topLeftContent\":\"\",\"topRightContent\":\"\",\"custom\":{\"default\":{\"css\":\"#blockID\\n{\\n  \\/*.panel-heading {}*\\/\\n  \\/*.panel-body    {}*\\/\\n}\",\"js\":\"\"}},\"content\":\"<div id=\\\"productInfo03\\\">\\n    <div class=\\\"mainFigure col-sm-6\\\"><img src=\\\"<?php echo $this->config->webRoot?>theme\\/default\\/default\\/images\\/main\\/product03.png\\\" \\/><\\/div>\\n    <div class=\\\"text-content col-sm-6\\\">\\n        <h2>\\u6027\\u4ef7\\u6bd4\\u6700\\u9ad8<\\/h2>\\n        <p>\\u8749\\u77e5\\u9ad8\\u7ea7\\u4e13\\u4e1a\\u7248\\u529f\\u80fd\\u52a0\\u4e30\\u5bcc\\u4e3b\\u9898\\uff0c <br \\/>\\n            \\u4ef7\\u683c\\u4f18\\u60e0\\uff0c\\u514d\\u7ef4\\u62a4\\uff01<\\/p>\\n    <\\/div>\\n<\\/div>\"}','default','zh-cn'),
(19,'phpcode','我们的优势特点','{\"customImage\":null,\"topLeftContent\":\"\",\"topRightContent\":\"\",\"custom\":{\"default\":{\"css\":\"#blockID\\n{\\n  \\/*.panel-heading {}*\\/\\n  \\/*.panel-body    {}*\\/\\n}\",\"js\":\"\"}},\"content\":\"<div class=\\\"category row\\\">\\n    <h2>\\u6211\\u4eec\\u7684\\u4f18\\u52bf\\u7279\\u70b9<\\/h2>\\n    <div class=\\\"advantage1 col-sm-6 col-xs-6  col-md-4\\\">\\n        <img src=\\\"<?php echo $this->config->webRoot?>theme\\/default\\/default\\/images\\/main\\/category1.png\\\">\\n        <h5> \\u4e13\\u6ce8\\u4f01\\u4e1a\\u8425\\u9500<\\/h5> \\n        <p> \\u4f01\\u4e1a\\u7ad9\\u3001\\u8bba\\u575b\\u3001\\u535a\\u5ba2\\u3001\\u5546\\u57ce\\u3001\\u5fae\\u4fe1\\u2026\\u2026\\u5b9e\\u73b0\\u5e73\\u53f0\\u4e00\\u4f53\\u5316<\\/p>\\n    <\\/div>\\n    <div class=\\\"advantage2 col-sm-6 col-xs-6  col-md-4\\\">\\n        <img src=\\\"<?php echo $this->config->webRoot?>theme\\/default\\/default\\/images\\/main\\/category2.png\\\">\\n        <h5> \\u5f00\\u653e\\u6e90\\u7801<\\/h5> \\n        <p> \\u57fa\\u4e8e\\u8749\\u77e5\\u4f01\\u4e1a\\u5efa\\u7ad9\\u7cfb\\u7edf\\uff0c\\u968f\\u65f6\\u5bfc\\u51fa\\u6570\\u636e\\uff0c\\u79c1\\u6709\\u90e8\\u7f72<\\/p>\\n    <\\/div>\\n    <div class=\\\"advantage3 col-sm-6 col-xs-6  col-md-4\\\">\\n        <img src=\\\"<?php echo $this->config->webRoot?>theme\\/default\\/default\\/images\\/main\\/category3.png\\\">\\n        <h5> \\u5229\\u4e8eSEO\\u4f18\\u5316<\\/h5> \\n        <p> \\u5efa\\u7ad9\\u7cfb\\u7edf\\u5185\\u7f6e\\u5168\\u9762\\u7684SEO\\u529f\\u80fd\\uff0c\\u63d0\\u5347\\u7f51\\u7ad9\\u8f6c\\u5316\\u7387<\\/p>\\n    <\\/div>\\n    <div class=\\\"advantage4 col-sm-6 col-xs-6  col-md-4\\\">\\n        <img src=\\\"<?php echo $this->config->webRoot?>theme\\/default\\/default\\/images\\/main\\/category4.png\\\">\\n        <h5> \\u9ad8\\u53ef\\u5b9a\\u5236\\u6027<\\/h5> \\n        <p> \\u81ea\\u5b9a\\u4e49\\u5e03\\u5c40\\u3001\\u81ea\\u5b9a\\u4e49\\u524d\\u7aef\\u4ee3\\u7801\\u3001\\u53ef\\u89c6\\u5316\\u7f16\\u8f91\\uff0c\\u4e91\\u7aef\\u5efa\\u7ad9\\u4e5f\\u81ea\\u7531\\u3002<\\/p>\\n    <\\/div>\\n    <div class=\\\"advantage5 col-sm-6 col-xs-6  col-md-4\\\">\\n        <img src=\\\"<?php echo $this->config->webRoot?>theme\\/default\\/default\\/images\\/main\\/category5.png\\\">\\n        <h5> \\u54cd\\u5e94\\u517c\\u5bb9<\\/h5> \\n        <p> \\u54cd\\u5e94\\u5f0f\\u5e03\\u5c40\\uff0c\\u79fb\\u52a8\\u7aef\\u5355\\u72ec\\u8bbe\\u8ba1\\uff0c\\u5b8c\\u7f8e\\u8de8\\u5e73\\u53f0\\u663e\\u793a<\\/p>\\n    <\\/div>\\n    <div class=\\\"advantage6 col-sm-6 col-xs-6  col-md-4\\\">\\n        <img src=\\\"<?php echo $this->config->webRoot?>theme\\/default\\/default\\/images\\/main\\/category6.png\\\">\\n        <h5> \\u591a\\u8bed\\u8a00\\u652f\\u6301<\\/h5> \\n        <p> \\u4e0d\\u540c\\u8bed\\u8a00\\u7ad9\\u72ec\\u7acb\\u8bbe\\u8ba1\\u7ef4\\u62a4\\uff0c\\u5b9e\\u73b0\\u4f01\\u4e1a\\u53d1\\u5c55\\u56fd\\u9645\\u5316<\\/p>\\n    <\\/div>\\n<\\/div>\\n\"}','default','zh-cn');

REPLACE INTO `eps_layout` (`template`, `plan`, `page`, `region`, `blocks`, `lang`) VALUES
('default', 0, 'index_index', 'middle', '[{"id":"16","grid":12,"titleless":0,"borderless":0},{"id":"17","grid":12,"titleless":0,"borderless":0},{"id":"18","grid":12,"titleless":0,"borderless":0},{"id":"19","grid":12,"titleless":0,"borderless":0}]', 'zh-cn');

INSERT INTO `eps_config` (`owner`, `module`, `section`, `key`, `value`, `lang`) VALUES
('system','common','template','customTheme','wide','zh-cn'),
('system','common','template','parser','default','zh-cn'),
('system','common','template','desktop','{\"name\":\"default\",\"theme\":\"wide\"}','zh-cn'),
('system','common','nav','desktop_top','[{\"type\":\"system\",\"article\":\"0\",\"product\":\"0\",\"page\":\"141\",\"blog\":\"0\",\"system\":\"home\",\"title\":\"\\u9996\\u9875\",\"url\":\"\\/admin.php?m=index&f=index\",\"key\":\"0\",\"target\":\"_self\",\"hover\":\"dropdown\",\"class\":\"nav-system-home\",\"children\":[]},{\"type\":\"custom\",\"article\":\"0\",\"product\":\"0\",\"page\":\"141\",\"blog\":\"0\",\"system\":\"home\",\"title\":\"\\u4ef7\\u683c\",\"url\":\"\\/plan-index.html\",\"key\":\"1\",\"target\":\"_self\",\"hover\":\"dropdown\",\"class\":\"\",\"children\":[]},{\"type\":\"custom\",\"article\":\"0\",\"product\":\"0\",\"page\":\"141\",\"blog\":\"0\",\"system\":\"home\",\"title\":\"\\u6a21\\u677f\",\"url\":\"\\/ui-themes.html\",\"key\":\"2\",\"target\":\"_self\",\"hover\":\"dropdown\",\"class\":\"\",\"children\":[]},{\"type\":\"system\",\"article\":\"0\",\"product\":\"0\",\"page\":\"141\",\"blog\":\"0\",\"system\":\"company\",\"title\":\"\\u5173\\u4e8e\\u6211\\u4eec\",\"url\":\"\",\"key\":\"3\",\"target\":\"_self\",\"hover\":\"dropdown\",\"class\":\"nav-system-company\",\"children\":[]},{\"type\":\"system\",\"article\":\"0\",\"product\":\"0\",\"page\":\"141\",\"blog\":\"0\",\"system\":\"contact\",\"title\":\"\\u8054\\u7cfb\\u6211\\u4eec\",\"url\":\"\",\"key\":\"4\",\"target\":\"_self\",\"hover\":\"dropdown\",\"class\":\"nav-system-contact\",\"children\":[]}]','zh-cn'),
('system','common','portal','plan','{\"mini\":{\"name\":\"\\u6807\\u51c6\\u7248\",\"usage\":\"300\",\"traffic\":\"10\",\"custom\":{\"\\u7ef4\\u62a4\":\"\\u65e0\\u9700\\u7ef4\\u62a4\"},\"price\":\"333\",\"type\":\"basic\",\"isDefault\":\"1\"},\"pro\":{\"name\":\"\\u4e13\\u4e1a\\u7248\",\"usage\":\"800\",\"traffic\":\"20\",\"custom\":{\"\\u7ef4\\u62a4\":\"\\u65e0\\u9700\\u7ef4\\u62a4\",\"\\u9ad8\\u7ea7\\u5546\\u57ce\":\"\\u221a\",\"\\u5de5\\u5355\\u7ba1\\u7406\":\"\\u221a\",\"\\u5fae\\u4fe1\\u767b\\u5f55\\u53ca\\u652f\\u4ed8\":\"\\u221a\",\"\\u7269\\u6d41\\u8ddf\\u8e2a\":\"\\u221a\",\"\\u6a21\\u677f\\u4e3b\\u9898\":\"\\u221a\"},\"price\":\"666\",\"type\":\"pro\"},\"biz\":{\"name\":\"\\u4f01\\u4e1a\\u7248\",\"usage\":\"2048\",\"traffic\":\"30\",\"custom\":{\"\\u7ef4\\u62a4\":\"\\u65e0\\u9700\\u7ef4\\u62a4\",\"\\u9ad8\\u7ea7\\u5546\\u57ce\":\"\\u221a\",\"\\u5de5\\u5355\\u7ba1\\u7406\":\"\\u221a\",\"\\u5fae\\u4fe1\\u767b\\u5f55\\u53ca\\u652f\\u4ed8\":\"\\u221a\",\"\\u7269\\u6d41\\u8ddf\\u8e2a\":\"\\u221a\",\"\\u6a21\\u677f\\u4e3b\\u9898\":\"\\u221a\"},\"price\":\"999\",\"type\":\"pro\"}}','zh-cn');

UPDATE `eps_block` SET `content` = '{\"top\":{\"left\":\"\",\"right\":\"login\"},\"topLeftContent\":\"\",\"topRightContent\":\"\",\"middle\":{\"left\":\"logo\",\"center\":\"nav\",\"right\":\"search\"},\"bottom\":\"\",\"customImage\":null,\"custom\":{\"wide\":{\"css\":\"#blockID\\n{\\n  \\/*.panel-heading {}*\\/\\n  \\/*.panel-body    {}*\\/\\n}\",\"js\":\"\"}}}' WHERE `id` = '13';
